ComponentInputMapUIResource (Java SE 26 & JDK 26)
Description: declaration: module: java.desktop, package: javax.swing.plaf, class: ComponentInputMapUIResource
Keywords: javax.swing.plaf.ComponentInputMapUIResource class

# Class ComponentInputMapUIResource

java.lang.Object
javax.swing.InputMap
javax.swing.ComponentInputMap
javax.swing.plaf.ComponentInputMapUIResource

All Implemented Interfaces:
  `Serializable, UIResource`

public class ComponentInputMapUIResource extends ComponentInputMap implements UIResource
A subclass of javax.swing.ComponentInputMap that implements UIResource. UI classes which provide a ComponentInputMap should use this class.

Since:
  1.3

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ComponentInputMapUIResource(JComponent component)`
  Constructs a `ComponentInputMapUIResource`.

- ## Method Summary

  ### Methods declared in class ComponentInputMap

  `clear, getComponent, put, remove, setParent`
  Modifier and Type
  Method
  Description
  `void`
  `clear()`
  Removes all the mappings from this object.
  `JComponent`
  `getComponent()`
  Returns the component the `InputMap` was created for.
  `void`
  `put(KeyStroke keyStroke, Object actionMapKey)`
  Adds a binding for `keyStroke` to `actionMapKey`.
  `void`
  `remove(KeyStroke key)`
  Removes the binding for `key` from this object.
  `void`
  `setParent(InputMap map)`
  Sets the parent, which must be a `ComponentInputMap` associated with the same component as this `ComponentInputMap`.

  ### Methods declared in class InputMap

  `allKeys, get, getParent, keys, size`
  Modifier and Type
  Method
  Description
  `KeyStroke[]`
  `allKeys()`
  Returns an array of the `KeyStroke`s defined in this `InputMap` and its parent.
  `Object`
  `get(KeyStroke keyStroke)`
  Returns the binding for `keyStroke`, messaging the parent `InputMap` if the binding is not locally defined.
  `InputMap`
  `getParent()`
  Gets this `InputMap`'s parent.
  `KeyStroke[]`
  `keys()`
  Returns the `KeyStroke`s that are bound in this `InputMap`.
  `int`
  `size()`
  Returns the number of `KeyStroke` bindings.

  ### Methods declared in class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`
  Modifier and Type
  Method
  Description
  `protected Object`
  `clone()`
  Creates and returns a copy of this object.
  `boolean`
  `equals(Object obj)`
  Indicates whether some other object is "equal to" this one.
  `protected void`
  `finalize()`
  Deprecated, for removal: This API element is subject to removal in a future version.
  Finalization is deprecated and subject to removal in a future release.
  `final Class<?>`
  `getClass()`
  Returns the runtime class of this `Object`.
  `int`
  `hashCode()`
  Returns a hash code value for this object.
  `final void`
  `notify()`
  Wakes up a single thread that is waiting on this object's monitor.
  `final void`
  `notifyAll()`
  Wakes up all threads that are waiting on this object's monitor.
  `String`
  `toString()`
  Returns a string representation of the object.
  `final void`
  `wait()`
  Causes the current thread to wait until it is awakened, typically by being notified or interrupted.
  `final void`
  `wait(long timeoutMillis)`
  Causes the current thread to wait until it is awakened, typically by being notified or interrupted, or until a certain amount of real time has elapsed.
  `final void`
  `wait(long timeoutMillis, int nanos)`
  Causes the current thread to wait until it is awakened, typically by being notified or interrupted, or until a certain amount of real time has elapsed.

- ## Constructor Details

  - ### ComponentInputMapUIResource

    public ComponentInputMapUIResource(JComponent component)
    Constructs a `ComponentInputMapUIResource`.
    Parameters:
      `component` - a non-null JComponent